The application is supported for the latest versions of the following browsers:
  • Microsoft Edge
  • Microsoft Internet Explorer Version 10 and 11
  • Mozilla Firefox (latest)
  • Google Chrome (latest)
  • Apple Safari (latest)


We recommend you use the latest versions of each browser, however the website should work for previous maintained versions.


Some learning content for example where Flash is required but not supported by the browser will limit the functionality. Users using the following may experience limited functionality against some content on the following devices and browsers:

  • Microsoft Edge
  • Apple Safari
  • iPad


As learning content is updated and refreshed these limitations should reduce until full compatibility is achieved.


Your browser should have JavaScript and cookies enabled. Where applicable Adobe Flash Player installed (Version 10.1 or above). Disable pop-up blocking software as pop-up blocking applications might prevent Learning Objects from loading successfully. Browser toolbars disabled (i.e. Google, Yahoo...) as 3rd party applications can interfere with your learning plan. Broadband is highly recommended.